<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ws="http://www.ebenoit.info/data">

	<xsl:template name="menu-item-template">
		<xsl:param name="top-level" />
		<xsl:param name="is-current" />
		<xsl:param name="has-children" />
		<xsl:param name="has-active-child" />
		<xsl:param name="title" />
		<xsl:param name="link-to" />

		<xsl:variable name="has-depth" select="$d/ws:sitemap/ws:page[ @parent ] or $d/ws:sitemap/ws:page[ @auto-menu ]" />

		<span>
			<!-- Which type of menu item is it ? -->
			<xsl:variable name="l-class">
				<xsl:choose>
					<xsl:when test="$has-depth and $top-level">menu-level-1</xsl:when>
					<xsl:when test="$has-depth">menu-level-2</xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>

			<!-- Is it open or closed ? -->
			<xsl:variable name="o-class">
				<xsl:choose>
					<xsl:when test="not( $has-depth and $top-level and $has-children )"></xsl:when>
					<xsl:when test="$is-current or $has-active-child">open</xsl:when>
					<xsl:otherwise>closed</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>

			<!-- Is it currently selected? -->
			<xsl:variable name="a-class">
				<xsl:if test="$is-current">current</xsl:if>
			</xsl:variable>

			<!-- Ok, set the span's class -->
			<xsl:attribute name="class">
				<xsl:value-of select="concat( 'menu-item ' , $l-class , ' ' , $o-class , ' ' , $a-class )" />
			</xsl:attribute>

			<xsl:choose>
				<xsl:when test="not( $is-current )">
					<a>
						<xsl:attribute name="href">
							<xsl:value-of select="$link-to" />
						</xsl:attribute>
						<xsl:attribute name="title">
							<xsl:value-of select="$title" />
						</xsl:attribute>
						<xsl:value-of select="$title" />
					</a>
				</xsl:when>
				<xsl:otherwise>
					<strong><xsl:value-of select="$title" /></strong>
				</xsl:otherwise>
			</xsl:choose>
		</span>

	</xsl:template>

</xsl:stylesheet>